Name:       capi-appfw-component-manager
Summary:    Component Manager API
Version:    1.1.1
Release:    1
Group:      Application Framework/API
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmock)

%if 0%{?gcov:1}
BuildRequires:  lcov
BuildRequires:  zip
%endif

%description
The Component Manager API provides functions to get information about running components.

%package devel
Summary:  Component Manager API (Development)
Group:    Application Framework/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The Component Manager API provides functions to get information about running components. (DEV)

#################################################
# unittests
#################################################
%package unittests
Summary:    GTest for Component Manager API
Group:      Development/Libraries
Requires:   %{name}

%description unittests
GTest for Component Manager API

#################################################
# gcov
#################################################
%if 0%{?gcov:1}
%package gcov
Summary:    Component Manager API (gcov)
Group:      Application Framework/Testing

%description gcov
Component Manager API gcov objects
%endif

%prep
%setup -q

%build
%if 0%{?gcov:1}
export CFLAGS+=" -fprofile-arcs -ftest-coverage"
export CXXFLAGS+=" -fprofile-arcs -ftest-coverage"
export FFLAGS+=" -fprofile-arcs -ftest-coverage"
export LDFLAGS+=" -lgcov"
%endif

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%__make %{?jobs:-j%jobs}

%if 0%{?gcov:1}
mkdir -p gcov-obj
find . -name '*.gcno' -exec cp -rf '{}' gcov-obj ';'
%endif

%check
ctest --output-on-failure %{?_smp_mflags}
%if 0%{?gcov:1}
lcov -c --ignore-errors graph --no-external -q -d . -o component-manager.info
genhtml component-manager.info -o component-manager.out
zip -r component-manager.zip component-manager.out
install -m 0644 component-manager.zip %{buildroot}%{_datadir}/gcov/
%endif

%install
rm -rf %{buildroot}
%make_install

%if 0%{?gcov:1}
mkdir -p %{buildroot}%{_datadir}/gcov/obj
install -m 0644 gcov-obj/* %{buildroot}%{_datadir}/gcov/obj
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post unittests
%if 0%{?gcov:1}
%{_bindir}/compmgr_unittests
%endif

%files
%{_libdir}/libcapi-appfw-component-manager.so.*
%manifest %{name}.manifest
%license LICENSE

%files devel
%{_includedir}/appfw/*.h
%{_libdir}/libcapi-appfw-component-manager.so
%{_libdir}/pkgconfig/*.pc

#################################################
# unittests
#################################################
%files unittests
%{_bindir}/compmgr_unittests

#################################################
# team-gcov
#################################################
%if 0%{?gcov:1}
%files gcov
%{_datadir}/gcov/*
%endif
