// Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
// Use of this source code is governed by a apache 2.0 license that can be
// found in the LICENSE file.

#include "mock.h"

#include "mock_aul_comp_info.h"
#include "mock_aul_comp_context.h"

DEFINE_FFF_GLOBALS;

// aul_comp_info.h
DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_create, const char *, aul_comp_info_h *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_destroy, aul_comp_info_h);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_get_app_id, aul_comp_info_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_get_comp_id, aul_comp_info_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_get_type, aul_comp_info_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_is_icon_display, aul_comp_info_h, bool *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_is_taskmanage, aul_comp_info_h, bool *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_get_icon, aul_comp_info_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_get_label, aul_comp_info_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_get_localed_label, aul_comp_info_h, const char *, char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_clone, aul_comp_info_h, aul_comp_info_h *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_foreach_comp_info_from_app, const char *, aul_comp_info_cb, void *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_usr_foreach_comp_info_from_app, const char *, uid_t, aul_comp_info_cb, void *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_foreach_comp_info, aul_comp_info_cb, void *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_info_usr_foreach_comp_info, uid_t, aul_comp_info_cb, void *);

// aul_comp_context.h
DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_foreach_comp_context, aul_comp_context_cb, void *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_get_app_id, aul_comp_context_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_get_instance_id, aul_comp_context_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_get_comp_id, aul_comp_context_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_get_type, aul_comp_context_h, const char **);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_get_pid, aul_comp_context_h, pid_t *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_get_status, aul_comp_context_h, int *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_is_sub_comp, aul_comp_context_h, bool *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_create, const char *, aul_comp_context_h *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_usr_create, const char *, uid_t, aul_comp_context_h *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_destroy, aul_comp_context_h);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_clone, aul_comp_context_h, aul_comp_context_h *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_is_running, aul_comp_context_h, bool *);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_resume, aul_comp_context_h);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_pause, aul_comp_context_h);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_terminate_bg_comp, aul_comp_context_h);

DEFINE_FAKE_VALUE_FUNC(int, aul_comp_context_terminate, aul_comp_context_h);

