/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UNIT_TESTS_MOCK_MOCK_AUL_COMP_INFO_H__
#define UNIT_TESTS_MOCK_MOCK_AUL_COMP_INFO_H__

#include <unistd.h>
#include <sys/types.h>

#include "mock.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef void *aul_comp_info_h;

typedef bool (*aul_comp_info_cb)(aul_comp_info_h handle, void *user_data);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_create, const char *, aul_comp_info_h *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_destroy, aul_comp_info_h);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_get_app_id, aul_comp_info_h, const char **);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_get_comp_id, aul_comp_info_h, const char **);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_get_type, aul_comp_info_h, const char **);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_is_icon_display, aul_comp_info_h, bool *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_is_taskmanage, aul_comp_info_h, bool *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_get_icon, aul_comp_info_h, const char **);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_get_label, aul_comp_info_h, const char **);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_get_localed_label, aul_comp_info_h, const char *, char **);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_clone, aul_comp_info_h, aul_comp_info_h *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_foreach_comp_info_from_app, const char *, aul_comp_info_cb, void *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_usr_foreach_comp_info_from_app, const char *, uid_t, aul_comp_info_cb, void *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_foreach_comp_info, aul_comp_info_cb, void *);

DECLARE_FAKE_VALUE_FUNC(int, aul_comp_info_usr_foreach_comp_info, uid_t, aul_comp_info_cb, void *);

#ifdef __cplusplus
}
#endif

#endif // UNIT_TESTS_MOCK_MOCK_AUL_COMP_INFO_H__
